local zone_box

function add_fibrillation_effector_candle(obj, delay)
	local duration = 0.5

	eff= CreateAnimationEffector()
	eff:AttachTo(obj)
	eff:SetMode(_ANIM_LOOP)

    local dopacity = -0.35

	eff:SetKey(_TRACK_O, 0.0 + delay, 1.0 + dopacity)
	eff:SetKey(_TRACK_O, duration * 1.0 / 4.0 + delay, 0.75 + dopacity)
	eff:SetKey(_TRACK_O, duration * 2.0 / 4.0 + delay, 1.0 + dopacity)
	eff:SetKey(_TRACK_O, duration * 3.0 / 4.0 + delay, 0.59 + dopacity)
	eff:SetKey(_TRACK_O, duration * 4.0 / 4.0 + delay, 1.0 + dopacity)
	eff:Play()
end

function add_fibrillation_effector_door_light(obj, delay)
	local duration = 7.0

	eff= CreateAnimationEffector()
	eff:AttachTo(obj)
	eff:SetMode(_ANIM_LOOP)

    local dopacity = -0.

	eff:SetKey(_TRACK_O, 0.0 + delay, 1.0 + dopacity)
	eff:SetKey(_TRACK_O, duration * 1.0/4.0 + delay, 0.75 + dopacity)
	eff:SetKey(_TRACK_O, duration * 2.0/4.0 + delay, 1.0 + dopacity)
	eff:SetKey(_TRACK_O, duration * 3.0/4.0 + delay, 0.59 + dopacity)
	eff:SetKey(_TRACK_O, duration * 4.0/4.0 + delay, 1.0 + dopacity)
	eff:Play()
end

local LinkHO = function()
    LinkScene('area_door', 'CursorGlass', 'data/Scenes/02_Hotel_Reception_HO.lua', true)
end

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/02_Hotel_Reception_Main.lua', 'quest')
	
	RegisterQuestObjects('area_lock', 'area_door', 'area_box', 'area_exit')

    play_field:GetObject('LayerBoxOpened'):SetOpacity(0.)
    play_field:GetObject('area_lock'):SetMaxOpacity(0.001)
    play_field:GetObject('area_lock'):SetOpacity(0)

    ---[[
    if HasGameState('ComicsShown', '02_MetrodotelReception') then
        play_field:GetObject('Metrodotel_Reception'):SetOpacity(0.)
        OnEnterComicsShown()
    else
        play_field:GetLevelScreen():GetPanel():SetMode(PM_COMICS)
        play_field:GetLevelScreen():GetPanel():GetObject('background_comics'):SetVisible(false)
        TimerDoString('StartMetrodotelComics()', 1.5, play_field:GetTimer())

        SetPanelObjectsVisible(false,
                               "left",
                               "button_l_inventory",
                               "button_l_hint",
                               "button_down_l",
                               "button_r",
                               "right",
                               "mechanism",
                               "button_down_r")
    end

    play_field:IgnoreOnTestPoint('Layer_OpenedDoorLight')
    play_field:IgnoreOnTestPoint('Layer_DoorLight')
    play_field:IgnoreOnTestPoint('Hotel_dver')
    if DoorOpeningCondition() then
        play_field:GetObject('Hotel_dver'):SetOpacity(1.)
        play_field:GetObject('Layer_OpenedDoorLight'):SetOpacity(1.)
        add_fibrillation_effector_door_light(play_field:GetObject('Layer_OpenedDoorLight'), 0.00)
    else
        play_field:GetObject('Hotel_dver'):SetOpacity(0.)
        play_field:GetObject('Layer_DoorLight'):SetOpacity(1.)
        play_field:GetObject('Layer_OpenedDoorLight'):SetOpacity(0.)
        add_fibrillation_effector_door_light(play_field:GetObject('Layer_DoorLight'), 0.00)
		game_state.ignore_on_highlight['area_exit'] = true
    end

    play_field:GetObject('area_portrait_inside'):SetOpacity(0);
    play_field:GetObject('area_portrait_inside'):SetMaxOpacity(0.001);

    if not HasGameState('dresser_door_open_02')
    then
        play_field:GetObject('Locker_doors_open'):SetOpacity(0);
    end

    add_fibrillation_effector_candle(play_field:GetObject('radial_glow_candle1'), 0.0)
    add_fibrillation_effector_candle(play_field:GetObject('radial_glow_candle2'), 0.05)
    add_fibrillation_effector_candle(play_field:GetObject('radial_glow_candle3'), 0.10)
    add_fibrillation_effector_candle(play_field:GetObject('radial_glow_candle4'), 0.15)
    add_fibrillation_effector_candle(play_field:GetObject('radial_glow_candle5'), 0.20)
    add_fibrillation_effector_candle(play_field:GetObject('radial_glow_candle6'), 0.25)
    add_fibrillation_effector_candle(play_field:GetObject('radial_glow_candle7'), 0.30)
    add_fibrillation_effector_candle(play_field:GetObject('radial_glow_candle8'), 0.35)
    add_fibrillation_effector_candle(play_field:GetObject('radial_glow_candle9'), 0.40)

    set_random_frame(play_field:GetObject('candle_fire1'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_fire2'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_fire3'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_fire4'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_fire5'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_fire6'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_fire7'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_fire8'):GetAnimation())
	set_random_frame(play_field:GetObject('candle_fire9'):GetAnimation())

    game_state.ignore_on_highlight['area_exit'] = true

	if HasGameState('ToolFound', '03_paper') and HasGameState('ToolFound', '03_key') then
		game_state.ignore_on_highlight['area_camin_hall'] = true
	end
end

function OpenBox()
    if zone_box.IsVisible() then
        play_field:GetObject('zone_box_closed'):ChangeOpacity(1., 0., 0.3)
        play_field:GetObject('zone_box_full'):SetOpacity(1.)
        play_field:GetObject('zone_box_full_layer'):SetOpacity(1.)
        play_field:GetObject('LayerBoxClosed'):ChangeOpacity(1., 0., 0.3)
        play_field:GetObject('LayerBoxOpened'):ChangeOpacity(0., 1., 0.3)
    end
end

function SetPanelObjectsVisible(visible, ...)
--local set_panel_objects_visible = function(visible, ...)
    local objects = {...}
    for i, v in ipairs(objects) do
        local op = 0.
        if visible then op = 1. end
        play_field:GetLevelScreen():GetPanel():GetObject(v):SetOpacity(op)
    end
end

function StartMetrodotelComics()
    play_field:GetLevelScreen():GetPanel():GetObject('background_comics'):SetVisible(true)
    local c = CreateComics('02_MetrodotelReception',
                           CreateComicsFrame('Metrodotel', 'C_02_METRODOTEL1', 'Hotel_reception_3um_2'),
                           CreateComicsFrame('Metrodotel', 'C_02_METRODOTEL2', 'Hotel_reception_3um_2'),
                           CreateComicsFrame('Metrodotel', 'C_02_METRODOTEL3', 'Hotel_reception_3um_2'),
                           CreateComicsFrame('Metrodotel', 'C_02_METRODOTEL4', 'Hotel_reception_3um_2'))
    if c then
        play_field:GetObject('area_door'):SetOpacity(0.)
        c.on_finish = function()
                          play_field:GetLevelScreen():GetPanel():GetObject('background_comics'):SetVisible(false)
                          play_field:GetObject('area_door'):SetOpacity(1.)
						  play_field:GetObject('Metrodotel_Reception'):ChangeOpacity(1., 0., 0.2)
                          OnEnterComicsShown()

                          SetPanelObjectsVisible(true,
                                                 "left",
                                                 "button_l_inventory",
                                                 "button_l_hint",
                                                 "button_down_l",
                                                 "button_r",
                                                 "right",
                                                 "mechanism",
                                                 "button_down_r")

                        play_field:GetLevelScreen():GetPanel():SetMode(PM_QUEST)
                      end
        c.SetVisible(true)
        play_field:GetObject('Metrodotel_Reception'):DestroyChildren()
        play_field:GetObject('Metrodotel_Reception'):SetOpacity(1.)
            --[[
        set_panel_objects_visible(false,
                                  "left",
                                  "button_l_inventory",
                                  "button_l_hint",
                                  "button_down_l",
                                  "button_r",
                                  "right",
                                  "mechanism",
                                  "button_down_r")]]
    else
        OnEnterComicsShown()
    end
end

function DoorOpeningCondition()
    return HasGameState('ToolFound', '02_gears') and
           HasGameState('ToolFound', '02_wages') and
           HasGameState('ToolFound', '03_paper')
end

function OnEnterComicsShown()

    if not HasGameState(ASK_FOR_HELP)
    then
        play_field.mouseDownBlocked = true;
        TimerDoString('AskForInteractiveHelp();', .35, play_field:GetTimer());
        return;
    end

    zone_box = CreateZoomZone('area_box',
                              'CloseZoneBox',
                              'zone_box_closed', true,
                              'zone_box_opened', false,
                              'zone_box_full', false,
                              'zone_box_full_layer', false,
                              'Key_1', false,
                              'Key_2', false,
                              'area_lock', true)
    zone_box.on_open = function()
    
        game_state.box02ZoneOpen = true;
    
        if not HasGameState('ToolApplied', '03_key') then
            RegisterMonologObject('area_lock', 'C_02_BOX_CLOSED')

            play_field:GetObject('Key_1'):Show()
            play_field:GetObject('Key_2'):Show()

            if HasGameState('ToolFound', '03_key')
            then
                if not HasGameState(HELP_SHOWN, 'TAKE_ITEM_TIP') and InteractiveHelpBeingShown()
                then
                    play_field.mouseDownBlocked = true;
                    TimerDoString("play_field.mouseDownBlocked = false;"..
                                  "ShowTakeItemTip();", 0.5, play_field:GetTimer());
                end
            else
                if InteractiveHelpBeingShown() and not HasGameState(HELP_SHOWN, 'INSIDE_ZOOM_ZONE_TIP')
                then
                    ShowInsideZoomZoneTip()
                end
            end
        else
            play_field:GetObject('Key_2'):Show()
        end
        
    end
    zone_box.on_close = function()
    
        game_state.box02ZoneOpen = nil;
    
        --[[
        if HasGameState('ToolApplied', '03_key') then
            if play_field:GetObject('zone_box_full'):GetOpacity() < 1. then
                play_field:GetObject('zone_box_full'):DestroyChildren()
                play_field:GetObject('zone_box_full'):ChangeOpacity(play_field:GetObject('zone_box_full'):GetOpacity(), 0., 0.2)
                play_field:GetObject('Key_1'):ChangeOpacity(play_field:GetObject('Key_1'):GetOpacity(), 0., 0.2)
                play_field:GetObject('Key_2'):ChangeOpacity(play_field:GetObject('Key_2'):GetOpacity(), 0., 0.2)
            end
        end
        ]]

        --[[
        play_field:GetObject('Key_1'):DestroyChildren()
        play_field:GetObject('Key_2'):DestroyChildren()
        play_field:GetObject('Key_1'):SetOpacity(0.)
        play_field:GetObject('Key_2'):SetOpacity(0.)
        ]]
        play_field:GetObject('Key_1'):Hide()
        play_field:GetObject('Key_2'):Hide()
        
        if InteractiveHelpBeingShown() and not HasGameState(HELP_SHOWN, 'GOTO_OTHER_LOC_TIP')
        then
            play_field.mouseDownBlocked = true;
            TimerDoString("play_field.mouseDownBlocked = false;"..
                          "ShowGoToLocTip();", 0.8, play_field:GetTimer());
        end

    end

    zone_portrait = CreateZoomZone('area_portrait',
								   '02_portrait_close',
                                   'BG_Portrait', true,
                                   'area_portrait_inside', true)

    zone_portrait.on_open = function()
    end

    zone_portrait.on_close = function()
    end

    RegisterMonologObject('area_portrait_inside', 'C_02_PORTRAIT_COMMENT', true, 'area_portrait')

	local on_load_when_web_clicked = function(obj_name)
		game_state.ignore_on_highlight['area_spider_web_1'] = true
		game_state.ignore_on_highlight['area_spider_web_2'] = true
		game_state.ignore_on_highlight['area_spider_web_3'] = true
	end
	
    RegisterActiveObject('area_spider_web_1', ShowSpiderWebComment, on_load_when_web_clicked, true, 'CursorGlass')
    RegisterActiveObject('area_spider_web_2', ShowSpiderWebComment, on_load_when_web_clicked, true, 'CursorGlass')
    RegisterActiveObject('area_spider_web_3', ShowSpiderWebComment, on_load_when_web_clicked, true, 'CursorGlass')

    local on_key_apply = function(tool_name, object_name)
        zone_box.SetObjectVisible('zone_box_closed', false)
		play_field:GetObject('zone_box_closed'):DestroyChildren()
		play_field:GetObject('zone_box_closed'):SetOpacity(1.)

        zone_box.SetObjectVisible('area_lock', false)
        zone_box.SetObjectVisible('zone_box_full', true)
        zone_box.SetObjectVisible('zone_box_full_layer', true)

        play_field:GetObject('area_lock'):SetOpacity(0.)

        play_field:GetObject('Key_1'):ChangeOpacity(0., 1., 0.3)
        TimerDoString("play_field:GetObject('Key_1'):ChangeOpacity(1., 0., 0.3)"..
                      "play_field:GetObject('Key_2'):ChangeOpacity(0., 1., 0.3)"..
                      "PlaySound(\"Lock\");",
                      0.3,
                      play_field:GetTimer())

        TimerDoString("OpenBox()", 0.7, play_field:GetTimer())
		game_state.quest_objects['zone_box_full_layer'] = true

        zone_box.SetObjectVisible('Key_2', true)
    end
    local on_load_when_key_applied = function(tool_name)
        zone_box.SetObjectVisible('zone_box_closed', false)
        zone_box.SetObjectVisible('area_lock', false)
        zone_box.SetObjectVisible('zone_box_full', true)
        zone_box.SetObjectVisible('zone_box_full_layer', true)
        play_field:GetObject('LayerBoxClosed'):SetOpacity(0.)
        play_field:GetObject('LayerBoxOpened'):SetOpacity(1.)
        --play_field:GetObject('Key_2'):SetOpacity(1.)
        zone_box.SetObjectVisible('Key_2', true)
		game_state.quest_objects['zone_box_full_layer'] = true
    end
    RegisterToolApplyInfo('03_key', 'area_lock', nil, nil, on_key_apply, on_load_when_key_applied)

    local on_wages_find = function(tool_name)
        local tool = play_field:GetLevelScreen():GetInventory():GetToolInfo(tool_name).m_tool
        --tool:ChangeScale(1., 0.2, 0.2)

        zone_box.SetObjectVisible('zone_box_full', false)
        zone_box.SetObjectVisible('zone_box_full_layer', false)
        zone_box.SetObjectVisible('zone_box_opened', true)
        zone_box.SetVisible(false)
        zone_box.Disable()
		game_state.ignore_on_highlight['area_box'] = true
    end
    local on_load_when_wages_found = function(tool_name)
        zone_box.SetObjectVisible('zone_box_full', false)
        zone_box.SetObjectVisible('zone_box_full_layer', false)
        zone_box.SetObjectVisible('zone_box_opened', true)
        --zone_box.RemoveObject('zone_box_full_layer')
        zone_box.Disable()
		game_state.ignore_on_highlight['area_box'] = true
    end
    RegisterToolFindInfo('02_wages', 'zone_box_full_layer', on_wages_find, on_load_when_wages_found)

    local door_closed_comics = function()
        if HasGameState('ComicsShown', '02_DoorClosed') then
            RemoveGameState('ComicsShown', '02_DoorClosed')
        end
        local replic_index = math.random(1, 2)
        local c = CreateComics('02_DoorClosed',
                               CreateComicsFrame('PlayerMonolog', 'C_02_DOOR_CLOSED'..replic_index))
        if c then
            c.SetVisible(true)
        end
    end
    LinkScene('area_exit', 'CursorDoorLeft', 'data/Scenes/04_Hotel_Street_Sunset_Main.lua', false, DoorOpeningCondition, door_closed_comics)

    LinkScene('area_camin_hall', 'CursorDoorRightUp', 'data/Scenes/03_Hotel_Camin_Hall_Main.lua', false)

    --[[
    if HasGameState('ComicsShown', '02_MetrodotelReception') then
        play_field:GetObject('Metrodotel_Reception'):SetOpacity(0.)
    end
    StartMetrodotelComics();
    ]]
    --StartMetrodotelComics()

    LinkHO()

    if InteractiveHelpBeingShown()
    then
        local continueTutorial = function(doNotDelay)
            if not HasGameState(HELP_SHOWN, 'HIDDEN_OBJECT_TIP')
            then
                ShowHiddenObjectTip();
            elseif HasGameState('SceneVisited', 'data/Scenes/02_Hotel_Reception_HO.lua')
            then
                if not HasGameState(HELP_SHOWN, 'ZOOM_ZONE_TIP')
                then
                    if doNotDelay
                    then
                        ShowZoomZoneTip();
                    else
                        play_field.mouseDownBlocked = true;
                        TimerDoString("play_field.mouseDownBlocked = false;"..
                                      "ShowZoomZoneTip();", 
                                      2, play_field:GetTimer());
                    end
                elseif not HasGameState(HELP_SHOWN, 'GOTO_OTHER_LOC_TIP')
                then
                    ShowGoToLocTip();
                end
            end
        end
        
        if (play_field.toolWindowInfo)
        then
            play_field.toolWindowInfo.finalizeCallback = continueTutorial;
        else
            continueTutorial(true);
        end
        --]]
    end
    
end

function ShowSpiderWebComment(obj_name)
    ShowMonolog('02_spider_web_monolog',
                SelectRandom('C_02_SPIDER_WEB_1', 'C_02_SPIDER_WEB_2'));
	game_state.ignore_on_highlight['area_spider_web_1'] = true
	game_state.ignore_on_highlight['area_spider_web_2'] = true
	game_state.ignore_on_highlight['area_spider_web_3'] = true
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)

    if not HasGameState('ComicsShown', '02_DoorOpen') and
       game_state.door_open_comics_shown ~= true
    then
        if HasGameState('ToolFound', '02_gears') and
           HasGameState('ToolFound', '02_wages') and
           HasGameState('ToolFound', '03_paper') and
           not game_state.active_zone
        then
            game_state.ignore_on_highlight['area_exit'] = false
            HighlightObject('area_exit')
            local c = CreateComics('02_DoorOpen',
                                   CreateComicsFrame('PlayerMonolog', 'C_02_DOOR_OPEN'))
            if c then
                game_state.door_open_comics_shown = true
                c.SetVisible(true)
                play_field:GetObject('Hotel_dver'):ChangeOpacity(0., 1., 0.3)
                play_field:GetObject('Layer_OpenedDoorLight'):ChangeOpacity(0., 1., 0.3)
                play_field:GetObject('Layer_DoorLight'):DestroyChildren()
                play_field:GetObject('Layer_DoorLight'):ChangeOpacity(1., 0., 0.3)
                add_fibrillation_effector_door_light(play_field:GetObject('Layer_OpenedDoorLight'), 0.0)
                PlaySound("Door_opening")
				game_state.ignore_on_highlight['area_exit'] = false
            end
        end
    end
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    --[[
    if obj_name == 'area_door' then
        StartLevel('data/scenes/02_Hotel_Reception_HO.lua')
        is_wrong_click = false
    end
    if obj_name == 'area_camin_hall' then
        StartLevel('data/scenes/03_Hotel_Camin_Hall_Main.lua')
        is_wrong_click = false
    end
    ]]

    DefaultOnObjectMouseDownProcessed(is_wrong_click);

    --c.SetNextFrame()
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

--------------------------------------------------------------------------------
function LevelLoaded(level)

    local movieDuration = 12.68;
    local zOffset = 100;
    screen = level;


    -- Layer Dust_1
    anim = screen:CreateAnimation("data/Texture/Scenes/Common/LeavesAnimated/dust.png");
    anim:SetHotSpot(512, 512);
    anim:SetPosZ(zOffset + 26);
    anim:SetAngle(0);

    effector = CreateAnimationEffector();
    effector:SetLifeTime(11.96, 12.68);
    effector:AttachTo(anim);

    effector:SetKey(_TRACK_X, 11.96, -244);
    effector:SetKey(_TRACK_Y, 11.96, 726);
    effector:SetKey(_TRACK_X, 14, -246);
    effector:SetKey(_TRACK_Y, 14, 716);
    effector:SetKey(_TRACK_SX, 11.96, 1);
    effector:SetKey(_TRACK_SY, 11.96, 1);
    effector:SetKey(_TRACK_SX, 14, 1.07);
    effector:SetKey(_TRACK_SY, 14, 1.07);
    effector:SetKey(_TRACK_O, 11.96, 0);
    effector:SetKey(_TRACK_O, 12.4, 0.75);
    effector:SetKey(_TRACK_O, 13.64, 0.75);
    effector:SetKey(_TRACK_O, 14, 0);

    effector:SetMode(_ANIM_LOOP);
    effector:SetAnimationTime(movieDuration);
    effector:Play();


    -- Layer Dust_2
    anim = screen:CreateAnimation("data/Texture/Scenes/Common/LeavesAnimated/dust.png");
    anim:SetHotSpot(512, 512);
    anim:SetPosZ(zOffset + 25);
    anim:SetAngle(0);

    effector = CreateAnimationEffector();
    effector:SetLifeTime(10.6, 12.68);
    effector:AttachTo(anim);

    effector:SetKey(_TRACK_X, 10.6, -244);
    effector:SetKey(_TRACK_Y, 10.6, 726);
    effector:SetKey(_TRACK_X, 12.64, -246);
    effector:SetKey(_TRACK_Y, 12.64, 716);
    effector:SetKey(_TRACK_SX, 10.6, 1);
    effector:SetKey(_TRACK_SY, 10.6, 1);
    effector:SetKey(_TRACK_SX, 12.64, 1.07);
    effector:SetKey(_TRACK_SY, 12.64, 1.07);
    effector:SetKey(_TRACK_O, 10.6, 0);
    effector:SetKey(_TRACK_O, 11.04, 0.75);
    effector:SetKey(_TRACK_O, 12.28, 0.75);
    effector:SetKey(_TRACK_O, 12.64, 0);

    effector:SetMode(_ANIM_LOOP);
    effector:SetAnimationTime(movieDuration);
    effector:Play();


    -- Layer Dust_3
    anim = screen:CreateAnimation("data/Texture/Scenes/Common/LeavesAnimated/dust.png");
    anim:SetHotSpot(512, 512);
    anim:SetPosZ(zOffset + 24);
    anim:SetAngle(0);

    effector = CreateAnimationEffector();
    effector:SetLifeTime(9.28, 12.68);
    effector:AttachTo(anim);

    effector:SetKey(_TRACK_X, 9.28, -244);
    effector:SetKey(_TRACK_Y, 9.28, 726);
    effector:SetKey(_TRACK_X, 11.32, -246);
    effector:SetKey(_TRACK_Y, 11.32, 716);
    effector:SetKey(_TRACK_SX, 9.28, 1);
    effector:SetKey(_TRACK_SY, 9.28, 1);
    effector:SetKey(_TRACK_SX, 11.32, 1.07);
    effector:SetKey(_TRACK_SY, 11.32, 1.07);
    effector:SetKey(_TRACK_O, 9.28, 0);
    effector:SetKey(_TRACK_O, 9.72, 0.75);
    effector:SetKey(_TRACK_O, 10.96, 0.75);
    effector:SetKey(_TRACK_O, 11.32, 0);

    effector:SetMode(_ANIM_LOOP);
    effector:SetAnimationTime(movieDuration);
    effector:Play();


    -- Layer Dust_4
    anim = screen:CreateAnimation("data/Texture/Scenes/Common/LeavesAnimated/dust.png");
    anim:SetHotSpot(512, 512);
    anim:SetPosZ(zOffset + 23);
    anim:SetAngle(0);

    effector = CreateAnimationEffector();
    effector:SetLifeTime(7.84, 12.68);
    effector:AttachTo(anim);

    effector:SetKey(_TRACK_X, 7.84, -244);
    effector:SetKey(_TRACK_Y, 7.84, 726);
    effector:SetKey(_TRACK_X, 9.88, -246);
    effector:SetKey(_TRACK_Y, 9.88, 716);
    effector:SetKey(_TRACK_SX, 7.84, 1);
    effector:SetKey(_TRACK_SY, 7.84, 1);
    effector:SetKey(_TRACK_SX, 9.88, 1.07);
    effector:SetKey(_TRACK_SY, 9.88, 1.07);
    effector:SetKey(_TRACK_O, 7.84, 0);
    effector:SetKey(_TRACK_O, 8.28, 0.75);
    effector:SetKey(_TRACK_O, 9.52, 0.75);
    effector:SetKey(_TRACK_O, 9.88, 0);

    effector:SetMode(_ANIM_LOOP);
    effector:SetAnimationTime(movieDuration);
    effector:Play();


    -- Layer Dust_5
    anim = screen:CreateAnimation("data/Texture/Scenes/Common/LeavesAnimated/dust.png");
    anim:SetHotSpot(512, 512);
    anim:SetPosZ(zOffset + 22);
    anim:SetAngle(0);

    effector = CreateAnimationEffector();
    effector:SetLifeTime(6.48, 12.68);
    effector:AttachTo(anim);

    effector:SetKey(_TRACK_X, 6.48, -244);
    effector:SetKey(_TRACK_Y, 6.48, 726);
    effector:SetKey(_TRACK_X, 8.52, -246);
    effector:SetKey(_TRACK_Y, 8.52, 716);
    effector:SetKey(_TRACK_SX, 6.48, 1);
    effector:SetKey(_TRACK_SY, 6.48, 1);
    effector:SetKey(_TRACK_SX, 8.52, 1.07);
    effector:SetKey(_TRACK_SY, 8.52, 1.07);
    effector:SetKey(_TRACK_O, 6.48, 0);
    effector:SetKey(_TRACK_O, 6.92, 0.75);
    effector:SetKey(_TRACK_O, 8.16, 0.75);
    effector:SetKey(_TRACK_O, 8.52, 0);

    effector:SetMode(_ANIM_LOOP);
    effector:SetAnimationTime(movieDuration);
    effector:Play();


    -- Layer Dust_6
    anim = screen:CreateAnimation("data/Texture/Scenes/Common/LeavesAnimated/dust.png");
    anim:SetHotSpot(512, 512);
    anim:SetPosZ(zOffset + 21);
    anim:SetAngle(0);

    effector = CreateAnimationEffector();
    effector:SetLifeTime(4.84, 12.68);
    effector:AttachTo(anim);

    effector:SetKey(_TRACK_X, 4.84, -244);
    effector:SetKey(_TRACK_Y, 4.84, 726);
    effector:SetKey(_TRACK_X, 6.88, -246);
    effector:SetKey(_TRACK_Y, 6.88, 716);
    effector:SetKey(_TRACK_SX, 4.84, 1);
    effector:SetKey(_TRACK_SY, 4.84, 1);
    effector:SetKey(_TRACK_SX, 6.88, 1.07);
    effector:SetKey(_TRACK_SY, 6.88, 1.07);
    effector:SetKey(_TRACK_O, 4.84, 0);
    effector:SetKey(_TRACK_O, 5.28, 0.75);
    effector:SetKey(_TRACK_O, 6.52, 0.75);
    effector:SetKey(_TRACK_O, 6.88, 0);

    effector:SetMode(_ANIM_LOOP);
    effector:SetAnimationTime(movieDuration);
    effector:Play();


    -- Layer Dust_7
    anim = screen:CreateAnimation("data/Texture/Scenes/Common/LeavesAnimated/dust.png");
    anim:SetHotSpot(512, 512);
    anim:SetPosZ(zOffset + 20);
    anim:SetAngle(0);

    effector = CreateAnimationEffector();
    effector:SetLifeTime(3.48, 12.68);
    effector:AttachTo(anim);

    effector:SetKey(_TRACK_X, 3.48, -244);
    effector:SetKey(_TRACK_Y, 3.48, 726);
    effector:SetKey(_TRACK_X, 5.52, -246);
    effector:SetKey(_TRACK_Y, 5.52, 716);
    effector:SetKey(_TRACK_SX, 3.48, 1);
    effector:SetKey(_TRACK_SY, 3.48, 1);
    effector:SetKey(_TRACK_SX, 5.52, 1.07);
    effector:SetKey(_TRACK_SY, 5.52, 1.07);
    effector:SetKey(_TRACK_O, 3.48, 0);
    effector:SetKey(_TRACK_O, 3.92, 0.75);
    effector:SetKey(_TRACK_O, 5.16, 0.75);
    effector:SetKey(_TRACK_O, 5.52, 0);

    effector:SetMode(_ANIM_LOOP);
    effector:SetAnimationTime(movieDuration);
    effector:Play();


    -- Layer Dust_8
    anim = screen:CreateAnimation("data/Texture/Scenes/Common/LeavesAnimated/dust.png");
    anim:SetHotSpot(512, 512);
    anim:SetPosZ(zOffset + 19);
    anim:SetAngle(0);

    effector = CreateAnimationEffector();
    effector:SetLifeTime(2.16, 12.68);
    effector:AttachTo(anim);

    effector:SetKey(_TRACK_X, 2.16, -244);
    effector:SetKey(_TRACK_Y, 2.16, 726);
    effector:SetKey(_TRACK_X, 4.2, -246);
    effector:SetKey(_TRACK_Y, 4.2, 716);
    effector:SetKey(_TRACK_SX, 2.16, 1);
    effector:SetKey(_TRACK_SY, 2.16, 1);
    effector:SetKey(_TRACK_SX, 4.2, 1.07);
    effector:SetKey(_TRACK_SY, 4.2, 1.07);
    effector:SetKey(_TRACK_O, 2.16, 0);
    effector:SetKey(_TRACK_O, 2.6, 0.75);
    effector:SetKey(_TRACK_O, 3.84, 0.75);
    effector:SetKey(_TRACK_O, 4.2, 0);

    effector:SetMode(_ANIM_LOOP);
    effector:SetAnimationTime(movieDuration);
    effector:Play();


    -- Layer Dust_9
    anim = screen:CreateAnimation("data/Texture/Scenes/Common/LeavesAnimated/dust.png");
    anim:SetHotSpot(512, 512);
    anim:SetPosZ(zOffset + 18);
    anim:SetAngle(0);

    effector = CreateAnimationEffector();
    effector:SetLifeTime(0.72, 12.68);
    effector:AttachTo(anim);

    effector:SetKey(_TRACK_X, 0.72, -244);
    effector:SetKey(_TRACK_Y, 0.72, 726);
    effector:SetKey(_TRACK_X, 2.76, -246);
    effector:SetKey(_TRACK_Y, 2.76, 716);
    effector:SetKey(_TRACK_SX, 0.72, 1);
    effector:SetKey(_TRACK_SY, 0.72, 1);
    effector:SetKey(_TRACK_SX, 2.76, 1.07);
    effector:SetKey(_TRACK_SY, 2.76, 1.07);
    effector:SetKey(_TRACK_O, 0.72, 0);
    effector:SetKey(_TRACK_O, 1.16, 0.75);
    effector:SetKey(_TRACK_O, 2.4, 0.75);
    effector:SetKey(_TRACK_O, 2.76, 0);

    effector:SetMode(_ANIM_LOOP);
    effector:SetAnimationTime(movieDuration);
    effector:Play();


    -- Layer Dust_10
    anim = screen:CreateAnimation("data/Texture/Scenes/Common/LeavesAnimated/dust.png");
    anim:SetHotSpot(512, 512);
    anim:SetPosZ(zOffset + 17);
    anim:SetAngle(0);

    effector = CreateAnimationEffector();
    effector:SetLifeTime(-0.64, 12.68);
    effector:AttachTo(anim);

    effector:SetKey(_TRACK_X, -0.64, -244);
    effector:SetKey(_TRACK_Y, -0.64, 726);
    effector:SetKey(_TRACK_X, 1.4, -246);
    effector:SetKey(_TRACK_Y, 1.4, 716);
    effector:SetKey(_TRACK_SX, -0.64, 1);
    effector:SetKey(_TRACK_SY, -0.64, 1);
    effector:SetKey(_TRACK_SX, 1.4, 1.07);
    effector:SetKey(_TRACK_SY, 1.4, 1.07);
    effector:SetKey(_TRACK_O, -0.64, 0);
    effector:SetKey(_TRACK_O, -0.2, 0.75);
    effector:SetKey(_TRACK_O, 1.04, 0.75);
    effector:SetKey(_TRACK_O, 1.4, 0);

    effector:SetMode(_ANIM_LOOP);
    effector:SetAnimationTime(movieDuration);
    effector:Play();

    --AddFlyingLeavesAnimation(level, 1500);

end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Characters/Metrodotel_Reception.png',0,0,148,297,1,0)
	anim:SetHotSpot(74,148)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Metrodotel_Reception',anim,644,571,125,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Zoom_Shkatuka/zone_box_closed.JPG',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zone_box_closed',anim,512,384,155,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Zoom_Shkatuka/zone_box_opened.JPG',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zone_box_opened',anim,512,384,152,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Zoom_Shkatuka/zone_box_full.JPG',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zone_box_full',anim,512,384,153,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Zoom_Shkatuka/zone_box_full_layer.jpg',0,0,293,175,1,0)
	anim:SetHotSpot(146,87)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zone_box_full_layer',anim,509,367,154,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_box',anim,377,480,115,0,12,10)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_door',anim,642,414,120,0,20,25)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Zoom_on_character/Hotel_reception_3um_2.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Hotel_reception_3um_2',anim,512,384,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_camin_hall',anim,947,495,100,0,20,35)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_exit',anim,142,468,100,0,25,50)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF8800')
	screen:CreateObject('radial_glow_candle1',anim,308,316,101,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF8800')
	screen:CreateObject('radial_glow_candle2',anim,329,316,101,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF8800')
	screen:CreateObject('radial_glow_candle3',anim,537,24,101,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF8800')
	screen:CreateObject('radial_glow_candle4',anim,581,8,101,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF8800')
	screen:CreateObject('radial_glow_candle5',anim,653,8,101,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF8800')
	screen:CreateObject('radial_glow_candle6',anim,691,22,101,0,0.7,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF8800')
	screen:CreateObject('radial_glow_candle7',anim,707,303,101,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF8800')
	screen:CreateObject('radial_glow_candle8',anim,720,301,101,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radial_glow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,49)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFF8800')
	screen:CreateObject('radial_glow_candle9',anim,736,300,101,0,0.5,0.5)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/LayerBoxClosed.PNG',0,0,38,43,1,0)
	anim:SetHotSpot(19,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('LayerBoxClosed',anim,380,486,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/LayerBoxOpened.PNG',0,0,39,41,1,0)
	anim:SetHotSpot(19,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('LayerBoxOpened',anim,381,484,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Zoom_Shkatuka/Key_1.png',0,0,93,99,1,0)
	anim:SetHotSpot(46,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Key_1',anim,577,574,156,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Zoom_Shkatuka/Key_2.png',0,0,58,93,1,0)
	anim:SetHotSpot(29,46)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Key_2',anim,574,571,157,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/BG_Reception.JPG',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Reception',anim,512,384,40,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/candle_fire.png',0,0,67,83,4,8)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_fire1',anim,532,9,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/candle_fire.png',0,0,67,83,4,8)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_fire2',anim,577,-12,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/candle_fire.png',0,0,67,83,4,8)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_fire3',anim,647,-9,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/candle_fire.png',0,0,67,83,4,8)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_fire4',anim,689,8,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/candle_fire.png',0,0,67,83,4,8)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_fire5',anim,304,299,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/candle_fire.png',0,0,67,83,4,8)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_fire6',anim,324,296,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/candle_fire.png',0,0,67,83,4,8)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_fire7',anim,700,292,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/candle_fire.png',0,0,67,83,4,8)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_fire8',anim,714,288,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/candle_fire.png',0,0,67,83,4,8)
	anim:SetHotSpot(33,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_fire9',anim,731,283,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/Hotel_dver.jpg',0,0,204,406,1,0)
	anim:SetHotSpot(102,203)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Hotel_dver',anim,137,469,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/Layer_DoorLight.PNG',0,0,514,508,1,0)
	anim:SetHotSpot(257,254)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_DoorLight',anim,259,505,115,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/Layer_OpenedDoorLight.PNG',0,0,514,508,1,0)
	anim:SetHotSpot(257,254)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_OpenedDoorLight',anim,324,526,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_lock',anim,559,496,156,0,30,22)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_portrait',anim,793,393,100,0,6,14)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Zoom_portrait/BG_Portrait.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('BG_Portrait',anim,512,384,160,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_portrait_inside',anim,511,388,161,0,40,52)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_spider_web_1',anim,91,58,100,0,20,12)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_spider_web_2',anim,873,236,100,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_spider_web_3',anim,529,258,100,0,10,10)
	local anim = CreateAnimation('data/Texture/Scenes/02_Hotel_Reception/Zone_Main/Layers/Loker_doors_open.jpg',0,0,88,146,1,0)
	anim:SetHotSpot(44,73)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Locker_doors_open',anim,462,387,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
